Thursday, 26 June 2014

how I resolved nrpe configure: error: C preprocessor /lib/cpp fails sanity check

rpm -qa | grep glibc

see all glibc installations

for example, on a problem machine I found:

glibc-2.12-1.80.el6_3.5.i686
glibc-2.12-1.80.el6_3.5.x86_64
glibc-common-2.12-1.132.el6_5.2.x86_64
glibc-devel-2.12-1.132.el6_5.2.x86_64
glibc-common-2.12-1.80.el6_3.5.x86_64
glibc-2.12-1.132.el6_5.2.x86_64

yum erase glibc\*

install headers

yum install glibc-headers.x86_64 0:2.12-1.132.el6_5.2

fixed